Package org.tmatesoft.svn.core.wc2

# Class SvnCanonicalizeUrls

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Void>
org.tmatesoft.svn.core.wc2.SvnCanonicalizeUrls

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnCanonicalizeUrls extends SvnOperation<Void>
Canonicalizes all urls in the working copy `target`.

Version:
  1.7
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnCanonicalizeUrls(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`initDefaults()`
`boolean`
`isIgnoreExternals()`
Returns whether to ignore externals definitions.
`boolean`
`isOmitDefaultPort()`
Returns whether to remove all port numbers from URLs which equal to default ones.
`void`
`setIgnoreExternals(boolean ignoreExternals)`
Sets whether to ignore externals definitions.
`void`
`setOmitDefaultPort(boolean omitDefaultPort)`
Sets whether to remove all port numbers from URLs which equal to default ones.

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isChangesWorkingCopy, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SvnCanonicalizeUrls

protected SvnCanonicalizeUrls(SvnOperationFactory factory)

## Method Details

### isOmitDefaultPort

public boolean isOmitDefaultPort()
Returns whether to remove all port numbers from URLs which equal to default ones.

Returns:
  `true` if the default port numbers should be removed, otherwise `false`

### setOmitDefaultPort

public void setOmitDefaultPort(boolean omitDefaultPort)
Sets whether to remove all port numbers from URLs which equal to default ones.

Parameters:
  `omitDefaultPort` - `true` if the default port numbers should be removed, otherwise `false`

### isIgnoreExternals

public boolean isIgnoreExternals()
Returns whether to ignore externals definitions.

Returns:
  `true` if externals definitions should be ignored, otherwise `false`
Since:
  1.7

### setIgnoreExternals

public void setIgnoreExternals(boolean ignoreExternals)
Sets whether to ignore externals definitions.

Parameters:
  `ignoreExternals` - `true` if externals definitions should be ignored, otherwise `false`
Since:
  1.7

### initDefaults

protected void initDefaults()

Overrides:
  `initDefaults` in class `SvnOperation<Void>`